Wikimedia\Assert\ParameterTypeException from line 89 of /srv/mediawiki-staging/php-master/vendor/wikimedia/assert/src/Assert.php: Bad value for parameter $namespace: must be a integer
Closed, ResolvedPublic

Description

addshore@deployment-tin:/srv/mediawiki-staging/php-master$ mwscript extensions/Cognate/maintenance/populateCognatePages.php --wiki=enwiktionary
Started processing.
0 rows processed.
Pass finished.
0 rows processed.
Pass finished.
[fc591d6cab667b3360993f3e] [no req] Wikimedia\Assert\ParameterTypeException from line 89 of /srv/mediawiki-staging/php-master/vendor/wikimedia/assert/src/Assert.php: Bad value for parameter $namespace: must be a integer
Backtrace:
#0 /srv/mediawiki-staging/php-master/includes/title/TitleValue.php(75): Wikimedia\Assert\Assert::parameterType(string, string, string)
#1 /srv/mediawiki-staging/php-master/extensions/Cognate/src/CognateStore.php(207): TitleValue->__construct(string, string)
#2 /srv/mediawiki-staging/php-master/extensions/Cognate/maintenance/populateCognatePages.php(84): Cognate\CognateStore->insertPages(array)
#3 /srv/mediawiki-staging/php-master/maintenance/doMaintenance.php(111): Cognate\PopulateCognatePages->execute()
#4 /srv/mediawiki-staging/php-master/extensions/Cognate/maintenance/populateCognatePages.php(102): require_once(string)
#5 /srv/mediawiki-staging/multiversion/MWScript.php(99): require_once(string)
#6 {main}

Addshore created this task.Mar 15 2017, 8:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2017, 8:55 AM

Mentioned in SAL (#wikimedia-releng) [2017-03-15T08:56:05Z] <addshore> addshore@deployment-tin mwscript extensions/Cognate/maintenance/populateCognatePages.php --wiki=enwiktionary // (ParameterTypeException, T160503)

Mentioned in SAL (#wikimedia-labs) [2017-03-15T08:56:05Z] <addshore> addshore@deployment-tin mwscript extensions/Cognate/maintenance/populateCognatePages.php --wiki=enwiktionary // (ParameterTypeException, T160503)

Change 342800 had a related patch set uploaded (by Addshore):
[mediawiki/extensions/Cognate] Cast $row->page_namespace to int in populateCognatePages

https://gerrit.wikimedia.org/r/342800

Change 342800 merged by jenkins-bot:
[mediawiki/extensions/Cognate] Cast $row->page_namespace to int in populateCognatePages

https://gerrit.wikimedia.org/r/342800

Addshore claimed this task.Mar 15 2017, 9:07 AM
Addshore closed this task as Resolved.
Addshore moved this task from Backlog to Done / Closed on the User-Addshore board.
Addshore moved this task from Proposed to Done on the WMDE-QWERTY-Team-Board board.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team-Board board.Jun 27 2017, 3:36 PM